version: '3.7'

services:
  lesson4-db:
    image: postgres:12.2-alpine
    restart: always
    ports:
      - 5458:5432
    volumes:
      - postgres-data:/var/lib/postgresql/data
    environment:
      - POSTGRES_USER=db
      - POSTGRES_PASSWORD=db
      - POSTGRES_DB=db

volumes:
  postgres-data:
